package com.diaoyun.zion.master.bo;

/*腾讯翻译接口参数
* 基于翻译君 https://api.ai.qq.com/fcgi-bin/nlp/nlp_texttranslate
* */
public class TencentTranslateParam {
    private Integer app_id;
    private Long time_stamp;
    private String nonce_str;
    private String sign;
    private String text;
    private String source;
    private String target;

    /**
     * 默认中文转英文
     * @param text 待翻译文本
     */
    public TencentTranslateParam(String text) {
        this.text = text;
    }

    /**
     *
     * @param text 待翻译文本
     * @param source 源语言缩写 zh
     * @param target 目标语言缩写 en
     */
    public TencentTranslateParam(String text, String source, String target) {
        this.text = text;
        this.source = source;
        this.target = target;
    }

    public TencentTranslateParam(Integer app_id, Long time_stamp, String nonce_str, String sign, String text, String source, String target) {
        this.app_id = app_id;
        this.time_stamp = time_stamp;
        this.nonce_str = nonce_str;
        this.sign = sign;
        this.text = text;
        this.source = source;
        this.target = target;
    }



    public Integer getApp_id() {
        return app_id;
    }

    public void setApp_id(Integer app_id) {
        this.app_id = app_id;
    }

    public Long getTime_stamp() {
        return time_stamp;
    }

    public void setTime_stamp(Long time_stamp) {
        this.time_stamp = time_stamp;
    }

    public String getNonce_str() {
        return nonce_str;
    }

    public void setNonce_str(String nonce_str) {
        this.nonce_str = nonce_str;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }
}
